<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<body>
<div th:fragment="register">
    <form method="post" th:action="@{/registry}" th:object="${user}">
        <div th:if="${#fields.hasErrors('*')}">
            <div class="alert alert-danger" role="alert" th:each="error : ${#fields.errors('*')}" th:text="${error}">
                A simple danger alert—check it out!
            </div>
        </div>
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="inputEmail">Email</label>
                <input type="email" class="form-control" id="inputEmail" name="email" th:value="*{email}">
            </div>
            <div class="form-group col-md-6">
                <label for="inputPassword">Password</label>
                <input type="password" class="form-control" id="inputPassword" name="password">
            </div>
        </div>
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="inputFirstName">Imię</label>
                <input type="text" class="form-control" id="inputFirstName" name="firstName" th:value="*{firstName}">
            </div>
            <div class="form-group col-md-6">
                <label for="inputLastName">Nazwisko</label>
                <input type="text" class="form-control" id="inputLastName" name="lastName" th:value="*{lastName}">
            </div>
        </div>
        <div class="form-group">
            <label for="inputAddress">Adres</label>
            <input type="text" class="form-control" id="inputAddress" placeholder="ul. Przykładowa 11/22" name="address" th:value="*{address}">
        </div>
        <div class="form-row">
            <div class="form-group col-md-2">
                <label for="inputZip">Kod pocztowy</label>
                <input type="text" class="form-control" id="inputZip" placeholder="00-000" name="zipCode" th:value="*{zipCode}">
            </div>
            <div class="form-group col-md-6">
                <label for="inputCity">Miasto</label>
                <input type="text" class="form-control" id="inputCity" name="city" th:value="*{city}">
            </div>
        </div>
        <button type="submit" class="btn btn-primary" name="sendOrder">Zarejestruj</button>
    </form>
</div>
</div>
</body>
</html>